#ifndef _sampleMenu_
#define _sampleMenu_
#include "MenuManager.h"
#include <avr/pgmspace.h>

/*

Generated using LCD Menu Builder at https://lcd-menu-bulder.cohesivecomputing.co.uk/
For more information, visit https://www.cohesivecomputing.co.uk/hackatronics/arduino-lcd-menu-library/

All our hackatronics projects are free for personal use. If you find them helpful or useful, please consider
making a small donation to our hackatronics fund using the donate buttons on our web pages. Thank you.
    
*/

enum sampleMenuCommandId
{
  mnuCmdBack = 0,
  mnuCmdCocktail1,
  mnuCmdZutata1,
  mnuCmdZutata2,
  mnuCmdZutata3,
  mnuCmdCocktail2,
  mnuCmdZutatb1,
  mnuCmdZutatb2,
  mnuCmdZutatb3,
  mnuCmdCocktail3,
  mnuCmdZutatc1,
  mnuCmdZutatc2,
  mnuCmdZutatc3,
  mnuCmdResetToDefaults
};

PROGMEM const char sampleMenu_back[] = "Back";
PROGMEM const char sampleMenu_exit[] = "Exit";

PROGMEM const char sampleMenu_1_1[] = "1.1 Behaelter1";
PROGMEM const char sampleMenu_1_2[] = "1.2 Behaelter2";
PROGMEM const char sampleMenu_1_3[] = "1.3 Behaelter3";
PROGMEM const MenuItem sampleMenu_List_1[] = {{mnuCmdZutata1, sampleMenu_1_1}, {mnuCmdZutata2, sampleMenu_1_2}, {mnuCmdZutata3, sampleMenu_1_3}, {mnuCmdBack, sampleMenu_back}};

PROGMEM const char sampleMenu_2_1[] = "2.1 Behaelter1";
PROGMEM const char sampleMenu_2_2[] = "2.2 Behaelter2";
PROGMEM const char sampleMenu_2_3[] = "2.3 Behaelter3";
PROGMEM const MenuItem sampleMenu_List_2[] = {{mnuCmdZutatb1, sampleMenu_2_1}, {mnuCmdZutatb2, sampleMenu_2_2}, {mnuCmdZutatb3, sampleMenu_2_3}, {mnuCmdBack, sampleMenu_back}};

PROGMEM const char sampleMenu_3_1[] = "3.1 Behaelter1";
PROGMEM const char sampleMenu_3_2[] = "3.2 Behaelter2";
PROGMEM const char sampleMenu_3_3[] = "3.3 Behaelter3";
PROGMEM const MenuItem sampleMenu_List_3[] = {{mnuCmdZutatc1, sampleMenu_3_1}, {mnuCmdZutatc2, sampleMenu_3_2}, {mnuCmdZutatc3, sampleMenu_3_3}, {mnuCmdBack, sampleMenu_back}};

PROGMEM const char sampleMenu_1[] = "1 Whiskey Sour";
PROGMEM const char sampleMenu_2[] = "2 anderer Cockt";
PROGMEM const char sampleMenu_3[] = "3 numero 3";
PROGMEM const char sampleMenu_4[] = "4 Reset";
PROGMEM const MenuItem sampleMenu_Root[] = {{mnuCmdCocktail1, sampleMenu_1, sampleMenu_List_1, menuCount(sampleMenu_List_1)}, {mnuCmdCocktail2, sampleMenu_2, sampleMenu_List_2, menuCount(sampleMenu_List_2)}, {mnuCmdCocktail3, sampleMenu_3, sampleMenu_List_3, menuCount(sampleMenu_List_3)}, {mnuCmdResetToDefaults, sampleMenu_4}, {mnuCmdBack, sampleMenu_exit}};

/*
case mnuCmdZutata1 :
  break;
case mnuCmdZutata2 :
  break;
case mnuCmdZutata3 :
  break;
case mnuCmdZutatb1 :
  break;
case mnuCmdZutatb2 :
  break;
case mnuCmdZutatb3 :
  break;
case mnuCmdZutatc1 :
  break;
case mnuCmdZutatc2 :
  break;
case mnuCmdZutatc3 :
  break;
case mnuCmdResetToDefaults :
  break;
*/

/*
<?xml version="1.0"?>
<RootMenu xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Config IdPrefix="mnuCmd" VarPrefix="sampleMenu" UseNumbering="true"  IncludeNumberHierarchy="true"
          MaxNameLen="15" MenuBackFirstItem="false" BackText="Back" ExitText="Exit" AvrProgMem="true"/>
  <MenuItems>
    <Item Id="Cocktail1" Name="Whiskey Sour">
      <MenuItems>
        <Item Id="Zutata1" Name="Behaelter1"/>
        <Item Id="Zutata2" Name="Behaelter2"/>
        <Item Id="Zutata3" Name="Behaelter3"/>
      </MenuItems>
    </Item>
    <Item Id="Cocktail2" Name="anderer Cocktail">
      <MenuItems>
        <Item Id="Zutatb1" Name="Behaelter1"/>
        <Item Id="Zutatb2" Name="Behaelter2"/>
        <Item Id="Zutatb3" Name="Behaelter3"/>
      </MenuItems>
    </Item>
    <Item Id="Cocktail3" Name="numero 3">
      <MenuItems>
        <Item Id="Zutatc1" Name="Behaelter1"/>
        <Item Id="Zutatc2" Name="Behaelter2"/>
        <Item Id="Zutatc3" Name="Behaelter3"/>
      </MenuItems>
    </Item>
    <Item Id="ResetToDefaults" Name="Reset"/>
  </MenuItems>
</RootMenu>

*/
#endif
